summaryrefslogtreecommitdiffstats
path: root/recipes/gcc/gcc-4.3.2/debian/ada-driver-check.dpatch
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/gcc/gcc-4.3.2/debian/ada-driver-check.dpatch')
-rw-r--r--recipes/gcc/gcc-4.3.2/debian/ada-driver-check.dpatch50
1 files changed, 50 insertions, 0 deletions
diff --git a/recipes/gcc/gcc-4.3.2/debian/ada-driver-check.dpatch b/recipes/gcc/gcc-4.3.2/debian/ada-driver-check.dpatch
new file mode 100644
index 0000000000..9ac1148329
--- /dev/null
+++ b/recipes/gcc/gcc-4.3.2/debian/ada-driver-check.dpatch
@@ -0,0 +1,50 @@
+#! /bin/sh -e
+
+# DP: Simplify Ada driver check (we always build using the required
+# DP: Ada version. Needed for warnings on alpha.
+
+dir=./
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ #cd ${dir} && autoconf
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ #rm -f ${dir}configure
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+--- config/acx.m4~ 2007-09-02 19:24:08.865326043 +0200
++++ config/acx.m4 2007-09-02 19:28:53.719623005 +0200
+@@ -380,7 +380,7 @@
+ # Other compilers, like HP Tru64 UNIX cc, exit successfully when
+ # given a .adb file, but produce no object file. So we must check
+ # if an object file was really produced to guard against this.
+-errors=`(${CC} -c conftest.adb) 2>&1 || echo failure`
++errors=`(${CC} -c conftest.adb) 2>/dev/null || echo failure`
+ if test x"$errors" = x && test -f conftest.$ac_objext; then
+ acx_cv_cc_gcc_supports_ada=yes
+ fi
+--- configure~ 2007-09-02 16:50:31.206279000 +0200
++++ configure 2007-09-02 19:28:58.259691491 +0200
+@@ -4261,7 +4261,7 @@
+ # Other compilers, like HP Tru64 UNIX cc, exit successfully when
+ # given a .adb file, but produce no object file. So we must check
+ # if an object file was really produced to guard against this.
+-errors=`(${CC} -c conftest.adb) 2>&1 || echo failure`
++errors=`(${CC} -c conftest.adb) 2>/dev/null || echo failure`
+ if test x"$errors" = x && test -f conftest.$ac_objext; then
+ acx_cv_cc_gcc_supports_ada=yes
+ fi